Subject: Re: linux-next: block tree build failure

From: Jens Axboe <[email-masked]>
Date: Tue, 14 Apr 2009 08:21:31 +0200

On Tue, Apr 14 2009, Stephen Rothwell wrote:
> Hi Jens,
> 
> On Thu, 9 Apr 2009 13:37:16 +1000 Stephen Rothwell <[email-masked]> wrote:
> >
> > Today's linux-next build (x86_64 allmodconfig) failed like this:
> > 
> > usr/include/linux/fs.h:11: included file 'linux/rwtypes.h' is not exported
> > make[4]: *** [usr/include/linux/.check] Error 1
> > 
> > Caused by commit 93fe0305df9344f57edfa0444f8764b34ea74f9b ("Document and
> > move the various READ/WRITE types") which I have reverted for today.
> 
> This is still there, so today I have used the block tree from
> next-20090408.

Sorry about that, was a 5-day easter weekend here. It's fixed up now,
I've updated for-next and for-akpm accordingly.

-- 
Jens Axboe